PROJ = kill2
PROJFILE = kill.mak
DEBUG = 0

CC  = cl
CFLAGS_G  = /AL /W4 /G2 /Zp1 /J /BATCH /Gt5
CFLAGS_D  = /qc /Giout\$(PROJ).mdt /Zr /Zi /Od
CFLAGS_R  = /Ot /Oi /Gs /Gm
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /NOI /BATCH
LFLAGS_D  = /CO /INC /FAR /PACKC /PACKD /PMTYPE:VIO
LFLAGS_R  = /EXE /FAR /PACKC /PACKD /PMTYPE:VIO
LINKER  = link
ILINK  = ilink
DEF_FILE = kill.def
LRF  = echo > NUL

OBJS  = out\kill.obj out\sendhelp.obj out\wildcard.obj out\xtime.obj

all: out\$(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .c

out\kill.obj : kill.c
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\kill.obj kill.c
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\kill.obj kill.c
!ENDIF

out\sendhelp.obj : sendhelp.c
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\sendhelp.obj sendhelp.c
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\sendhelp.obj sendhelp.c
!ENDIF

out\wildcard.obj : wildcard.c
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\wildcard.obj wildcard.c
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\wildcard.obj wildcard.c
!ENDIF

out\xtime.obj : xtime.c
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\xtime.obj xtime.c
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\xtime.obj xtime.c
!ENDIF


out\$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
        $(LRF) @<<out\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
        $(LRF) @<<out\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
        $(ILINK) -a -e "$(LINKER) @out\$(PROJ).lrf" $@
!ELSE
        $(LINKER) @out\$(PROJ).lrf
!ENDIF


.c.obj :
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: out\$(PROJ).exe
        out\$(PROJ).exe $(RUNFLAGS)

debug: out\$(PROJ).exe
        CVP $(CVFLAGS) out\$(PROJ).exe $(RUNFLAGS)
